Bug 836367 - Problem seen when syncing a repo that contains a conditional_package_name with a dot in package name.
Problem seen when syncing a repo that contains a conditional_package_name wit...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 16:27 EDT by John Matthews
Modified: 2013-09-09 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 09:09:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2012-06-28 16:27:19 EDT
Description of problem:

An error has been seen from mongo when storing a key that contains a dot.  This happens from package group sync when the conditional_package_names data contains a key with a dot.

An example is the CentOS 6 repo:
http://mirror.centos.org/centos/6/os/x86_64/repodata/

<packagereq requires="openoffice.org-core" type="conditional">openoffice.org-langpack-en</packagereq>

The error seen is:
  InvalidDocument: key 'openoffice.org-langpack-en' must not contain '.' 


Test Plan:
QE please verify that a sync of the below feed completes successfully and no errors are shown.
 http://mirror.centos.org/centos/6/os/x86_64/repodata/
Comment 2 Jay Dobies 2012-06-29 15:06:33 EDT
In release 0.309
Comment 3 Preethi Thomas 2012-07-10 13:59:42 EDT

[root@preethi-el6-pulp ~]# pulp-admin repo create --repo-id centos --feed http://mirror.centos.org/centos/6/os/x86_64/
Successfully created repository [centos]

[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# pulp-admin repo sync run --repo-id=centos
+----------------------------------------------------------------------+
                   Synchronizing Repository [centos]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[/]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       6346/6346 items
Delta RPMs: 0/0 items
Tree Files: 4/4 items
Files:      0/0 items
... completed

Importing errata...
[|]
... completed

Publishing packages...
[==================================================] 100%
Packages: 0/0 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 4/4 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTP
[-]
... skipped
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.310-1.el6.noarch

Publishing repository over HTTPS
[-]
... completed

Successfully synchronized repository

[root@preethi-el6-pulp ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 pulp
Display Name:       pulp
Description:        None
Content Unit Count: 34
Notes:              

Id:                 centos
Display Name:       centos
Description:        None
Content Unit Count: 6571
Notes:
Comment 4 Preethi Thomas 2013-01-07 09:09:33 EST
Pulp 2.0 released.

Note You need to log in before you can comment on or make changes to this bug.